<template>
    <v-container>
        <v-form
    ref="form"
    v-model="valid"
    lazy-validation
  >
  <v-row>
    <v-col cols="12" md="1"></v-col>
    <v-col cols="12" md="10">
    <v-row>
    <!-- имя -->
    <v-text-field
      v-model="user_name"
      :rules="requiredField"
      label="Ваше имя"
      required
      class="mr-3"
    ></v-text-field>
    <v-text-field
      v-model="description"
      :rules="requiredField"
      label="Комментарий"
      required
      class="ml-3"
    ></v-text-field>
    </v-row>
  </v-col>
    <v-col cols="12" md="1"></v-col>
  </v-row>
  <v-row>
    <v-col cols="12" md="1"></v-col>
    <v-col cols="12" md="10">
    <v-btn
      color="error"
      class="mr-4"
      @click="reset"
    >
      Очистить форму
    </v-btn>
    <v-btn class="amber lighten-1">Отправить</v-btn>
    </v-col>
    <v-col cols="12" md="1"></v-col>
    </v-row>
  </v-form>
    </v-container>
</template>
  
  <script>
  
  export default {
    data: () => ({
        valid: true,

        user_name: '',
        requiredField: [
          v => !!v || 'Обязательное поле',
        ],
        
        description:'',
    }),
    methods: {
        validate () {
        this.$refs.form.validate()
        },
        reset () {
          this.$refs.form.reset()
        },
        resetValidation () {
          this.$refs.form.resetValidation()
        },
    }
  };
  </script>

<style scoped>

</style>








